﻿@using System.Web.UI.WebControls;
@using Portal.Models.PO;

@model Toyota.Common.Web.MVC.ModelHolder
<table width="400px" border="0">
    <tr>
            <td>
                @Html.DevExpress().Label(
                label =>
                {
                    label.ControlStyle.CssClass = "Label";
                    label.Text = "Folio No";
                }).GetHtml()
            </td>
            <td>
                @Html.DevExpress().TextBox(
                settings =>
                {
                    settings.Name = "txtFolioNo";
                    settings.ControlStyle.Wrap = DefaultBoolean.False;
                    settings.Width = 200;
                }
            ).GetHtml()
            </td>
        </tr>
        <tr>
            <td>
                @Html.DevExpress().Label(
                label =>
                {
                    label.ControlStyle.CssClass = "Label";
                    label.Text = "Module Code";
                }).GetHtml()
            </td>
            <td>
                @Html.DevExpress().TextBox(
                settings =>
                {
                    settings.Name = "txtModuleCd";
                    settings.ControlStyle.Wrap = DefaultBoolean.False;
                    settings.Width = 200;
                }
            ).GetHtml()
            </td>
        </tr>
        <tr>
            <td>
                @Html.DevExpress().Label(
                label =>
                {
                    label.ControlStyle.CssClass = "Label";
                    label.Text = "Status Code";
                }).GetHtml()
            </td>
            <td>
                @Html.DevExpress().SpinEdit(
                settings =>
                {
                    settings.Name = "txtStatusCode";
                    settings.ControlStyle.Wrap = DefaultBoolean.False;
                    settings.Width = 200;
                }
            ).GetHtml()
            </td>
        </tr>
    <tr>
        <td colspan="2" align="center">
            <table>
                <tr>
                    <td width=""50% align="right">
                    @Html.DevExpress().Button(
                        btnSettings =>
                        {
                            btnSettings.Name = "btnSaveRegis";
                            btnSettings.ControlStyle.CssClass = "button";
                            btnSettings.Text = "Save";
                            btnSettings.Width = 80;
                            btnSettings.UseSubmitBehavior = true;
                            btnSettings.ClientSideEvents.Click = "BeginCallbackAddNewRegis";
                        }
                    ).GetHtml()
                    </td>
                    @*<td width="50%">
                    @Html.DevExpress().Button(
                        btnSettings =>
                        {
                            btnSettings.Name = "btnCancelNew";
                            btnSettings.ControlStyle.CssClass = "button";
                            btnSettings.Text = "Cancel";
                            btnSettings.Width = 80;
                            btnSettings.ClientSideEvents.Click = "CancelAddNew";
                        }
                    ).GetHtml()
                    </td>*@
                </tr>
            </table>
        </td>
    </tr>
</table>
@*<table width="300px" border="0">
    <tr>
        <td align="right">
            @Html.DevExpress().Button(
                settings =>
                {
                    settings.Name = "okNewSuppInfo";
                    settings.Text = "OK";
                    settings.Width = 80;
                   
                }
            ).GetHtml()
        </td>
        <td align="right" width="80px">
            @Html.DevExpress().Button(
            settings =>
            {
                settings.Name = "cancelSuppInfo";
                settings.Text = "Cancel";
                settings.Width = 80;

                settings.ClientSideEvents.Click = "CancelSuppInfo";
            }
        ).GetHtml()
        </td>
    </tr>
</table>*@
